No longer able to install picolog on Raspberry pi

Forum for discussing PicoLog
Post Reply
ReillyD99
Newbie
Posts: 0
Joined: Wed Feb 21, 2024 4:38 pm

No longer able to install picolog on Raspberry pi

Post by ReillyD99 »

Hello,
I've used picolog 6 on raspberry pi for about 2 years now without issue, but it is seemingly impossible to install now.

On a Raspberry pi 4 with a new sd and a fresh installation of Raspberry Pi Os, I follow along with the steps in the "Starting with PicoLog 6 on Raspberry Pi" youtube video. (https://www.youtube.com/watch?v=UZC5tubw-mM)

The Pi boots up, I successfully run

Code: Select all

sudo apt update && sudo apt upgrade -y 
and reboot.

Next we have to import the public key, which is the first problem we hit.
Running

Code: Select all

wget -O - https://labs.picotech.com/debian/dists/picoscope/Release.gpg.key | sudo apt-key add -
as the video suggests gives us a warning:
Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
To import the public key I instead run

Code: Select all

sudo wget -O /etc/apt/trusted.gpg.d/picoscope.gpg.key https://labs.picotech.com/debian/dists/picoscope/Release.gpg.key
and it seems to work fine.

The next biggest issue is actually installing the picolog package itself, as running

Code: Select all

sudo dpkg -i picolog-6.2.9-armhf.deb
nets us the following error:
Selecting previously unselected package picolog:armhf.
(Reading database ... 125261 files and directories currently installed.)
Preparing to unpack picolog-6.2.9-armhf.deb ...
Unpacking picolog:armhf (6.2.9) ...
dpkg: dependency problems prevent configuration of picolog:armhf:
picolog:armhf depends on libnotify4.
picolog:armhf depends on libnss3.

dpkg: error processing package picolog:armhf (--install):
dependency problems - leaving unconfigured
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.36.0-1.1) ...
Processing triggers for mailcap (3.70+nmu1) ...
Processing triggers for desktop-file-utils (0.26-1) ...
Errors were encountered while processing:
picolog:armhf
this is very strange as libnotify4 and libnss3 are already installed on the Pi, but nevertheless we persist and attempt to remedy with sudo apt-get -f install
This seems to fix the dependency issues, but picolog still wont run when the icon is clicked. Uninstalling the package and reinstalling it with dpkg like before also doesn't help, and when I try running picolog from the terminal I get the following:
/usr/bin/picolog: line 4: /usr/bin/picolog.bin: No such file or directory
I've now tried this on many different physical pi's, different sd cards, older release deb files etc etc and nothing is working.

Please advise.

filipjeretina
Newbie
Posts: 0
Joined: Tue Mar 26, 2024 3:29 pm

Re: No longer able to install picolog on Raspberry pi

Post by filipjeretina »

I am experiancing exactly the same issue.

Code: Select all

/usr/bin/picolog: line 4: /usr/bin/picolog.bin: No such file or directory

filipjeretina
Newbie
Posts: 0
Joined: Tue Mar 26, 2024 3:29 pm

Re: No longer able to install picolog on Raspberry pi

Post by filipjeretina »

I have found a solution to this problem.
Steps to solve:
- Run: `find / -iname "picolog.bin` # For me the picolog.bin file was found in /opt/PicoLog/picolog.bin
- Run: `sudo nano /usr/bin/picolog.bin` edit the file such that you fill in the correct location of the picolog.bin file.

For me the /usr/bin/picolog.bin file ended up looking like this:

Code: Select all

#!/bin/bash
  LD_LIBRARY_PATH="$(dirname "$0")/resources"${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
  export LD_LIBRARY_PATH
  /opt/PicoLog/picolog.bin --no-sandbox "$@"

Staffchild101
Newbie
Posts: 0
Joined: Thu Apr 18, 2024 10:40 am

Re: No longer able to install picolog on Raspberry pi

Post by Staffchild101 »

I am experiencing exactly the same issue. I have managed to get to this last step and found the picolog.bin file in /opt/Picolog but I don't know how to edit it to fill in the correct location.

Could someone please help me with some guidance on how to complete this last step please.

mpreston
Newbie
Posts: 0
Joined: Sat Jun 01, 2024 7:06 am

Re: No longer able to install picolog on Raspberry pi

Post by mpreston »

I am experiencing similar problems. I also get the libnotify4 and libnss3 dependency error, which can be remedied with "sudo apt-get -f install". But then I get a different error: "/opt/PicoLog/picolog.bin: error while loading shared libraries: libatk-1.0.so.0: cannot open shared object file: No such file or directory"

djbart78
Newbie
Posts: 0
Joined: Fri Jun 07, 2024 9:21 pm

Re: No longer able to install picolog on Raspberry pi

Post by djbart78 »

Has anyone figured this out? I seem to be able to get it to load without any errors, but the program will not start at all when I click on the piccolog icon

Post Reply